# Get Events Get all events for the organization Endpoint: GET /api/v1/events Version: 1.0.0 Security: bearerAuth ## Query parameters: - `limit` (integer) - `cursor` (string,null) ## Response 200 fields (application/json): - `count` (integer, required) - `limit` (integer, required) - `next_cursor` (string,null) - `records` (array, required) - `records.id` (string, required) - `records.type` (string) Enum: "event" - `records.workspace` (string, required) - `records.event` (string, required) - `records.resource` (string) - `records.resource_id` (string) - `records.status` (string, required) Enum: "pending", "processing", "completed", "failed" - `records.total_rules` (integer) - `records.completed_count` (integer) - `records.failed_count` (integer) - `records.started_at` (any) - `records.completed_at` (any) - `records.created_by` (string, required) - `records.created_at` (any, required) - `records.rule_events` (array) - `records.rule_events.event_id` (string, required) - `records.rule_events.connection` (string, required) - `records.rule_events.rule` (string, required) - `records.rule_events.integration_type` (string, required) Enum: "activecampaign", "aweber", "hubspot", "intercom", "mailchimp", "mailerlite", "resend", "salesforce", "slack", "webhook", "zoom" - `records.rule_events.attempt_count` (integer, required) - `records.rule_events.last_error` (string) ## Response 401 fields (application/json): - `message` (string, required) - `error` (any) ## Response 500 fields (application/json): - `message` (string, required) - `error` (any)